Bug 841622 - add virtio-scsi unlocked kick patches
add virtio-scsi unlocked kick patches
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
x86_64 All
medium Severity medium
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 11:38 EDT by Paolo Bonzini
Modified: 2013-02-21 01:40 EST (History)
8 users (show)

See Also:
Fixed In Version: kernel-2.6.32-328.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 01:40:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2012-07-19 11:38:50 EDT
Here are some results with varying number of disks on the same controller (data in MB/s, using fio, ioengine=libaio, iodepth=4):

#    6.3          unlocked kick       unlocked kick
#                 1 target            1 LUN/target
# --------------------------------------------------------------
1    303.679      343.454             << same configuration
2    343.979      393.545             460.247
4    409.953      447.683             455.197 (probably a fluke)
8    438.526      449.390             474.092
16   427.363      448.377             478.958
Comment 2 RHEL Product and Program Management 2012-07-20 12:00:04 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 4 Jarod Wilson 2012-10-10 15:43:53 EDT
Patch(es) available on kernel-2.6.32-328.el6
Comment 8 Shaolong Hu 2013-01-05 04:57:34 EST
Hi Paolo,

Do you think QE need to repeat your test in comment 0? if so, could you provide qemu-kvm command line and fio command line in guest? In command 0, the "1 2 4 8 16" means boot guest with 1, 2, 4, 8, 16 scsi disks and in guest run fio with -filename=/dev/sda:/dev/sdb:/dev/sdc... ?

If not, we have tested virtio scsi and blk in a lot of test runs since kernel 328, could we simply verify this one based on there is no regression?
Comment 9 Shaolong Hu 2013-01-05 21:53:46 EST
We have
Comment 10 Shaolong Hu 2013-01-05 21:59:17 EST
Since kernel 328, we have tested virtio scsi:
Test run for qemu-kvm-0.12.1.2-2.331.el6 - virtio scsi - RHEL6.4-64

And lots of test runs use virtio scsi as block device, no regression so far, for sanity test, i'd like to set this one verified.
Comment 11 Paolo Bonzini 2013-01-09 08:49:53 EST
I believe sanity testing is enough.
Comment 13 errata-xmlrpc 2013-02-21 01:40:53 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.